"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.runLifecycleEvent = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

const _excluded = ["plugins"];

// TODO @ts-refactor introduce pubsub methods
const runLifecycleEvent = async (hook, params) => {
  const {
    plugins
  } = params,
        rest = (0, _objectWithoutProperties2.default)(params, _excluded);

  if (plugins.length === 0) {
    return;
  }

  for (const plugin of plugins) {
    if (!plugin[hook]) {
      continue;
    }
    /**
     * Keep any because we do not know which hook needs to be executed. This will be removed, so it does not matter.
     */


    await plugin[hook](rest);
  }
};

exports.runLifecycleEvent = runLifecycleEvent;