"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InstallationPlugin = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _plugins = require("@webiny/plugins");

class InstallationPlugin extends _plugins.Plugin {
  constructor(config) {
    super();
    (0, _defineProperty2.default)(this, "_config", void 0);
    this._config = config || {};
  }

  async beforeInstall(params) {
    return this._execute("beforeInstall", params);
  }

  async afterInstall(params) {
    return this._execute("afterInstall", params);
  }

  async _execute(callback, params) {
    const cb = this._config[callback];

    if (!cb) {
      return;
    }

    return cb(params);
  }

}

exports.InstallationPlugin = InstallationPlugin;
(0, _defineProperty2.default)(InstallationPlugin, "type", "fm.install");