"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _graphql = _interopRequireDefault(require("./graphql"));

var _files = _interopRequireDefault(require("./crud/files.crud"));

var _validation = _interopRequireDefault(require("./crud/files/validation"));

var _settings = _interopRequireDefault(require("./crud/settings.crud"));

var _system = _interopRequireDefault(require("./crud/system.crud"));

var _storage = _interopRequireDefault(require("./storage"));

var _default = () => [_system.default, _settings.default, _files.default, _storage.default, _graphql.default, (0, _validation.default)()];

exports.default = _default;