"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.executeCallbacks = void 0;

const executeCallbacks = async (plugins, hook, args) => {
  for (const plugin of plugins) {
    if (typeof plugin[hook] === "function") {
      await plugin[hook](args);
    }
  }
};

exports.executeCallbacks = executeCallbacks;