import { Plugin } from "@webiny/plugins";
import { FileManagerContext, FileManagerFilesStorageOperations } from "../../types";
export interface FilesStorageOperationsProviderPluginParams<T = FileManagerContext> {
    context: T;
}
export declare abstract class FilesStorageOperationsProviderPlugin extends Plugin {
    static readonly type: string;
    abstract provide(params: FilesStorageOperationsProviderPluginParams): Promise<FileManagerFilesStorageOperations>;
}
