import { Plugin } from "@webiny/plugins";
import { FileManagerContext, FileManagerSettingsStorageOperations } from "../../types";
export interface SettingsStorageOperationsProviderPluginParams<T = FileManagerContext> {
    context: T;
}
export declare abstract class SettingsStorageOperationsProviderPlugin extends Plugin {
    static readonly type: string;
    abstract provide(params: SettingsStorageOperationsProviderPluginParams): Promise<FileManagerSettingsStorageOperations>;
}
