import { Plugin } from "@webiny/plugins";
import { FileManagerContext, FileManagerSystemStorageOperations } from "../../types";
export interface SystemStorageOperationsProviderPluginParams<T = FileManagerContext> {
    context: T;
}
export declare abstract class SystemStorageOperationsProviderPlugin extends Plugin {
    static readonly type: string;
    abstract provide(params: SystemStorageOperationsProviderPluginParams): Promise<FileManagerSystemStorageOperations>;
}
